Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002478Zandronum[All Projects] Bugpublic2015-10-05 15:322018-09-30 22:16
ReporterDusk 
Assigned ToDusk 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version3.0 
Summary0002478: sv_nokill and sv_disallowsuicide
DescriptionThere's pretty clear redundancy in here that IMO should be removed. Both these CVars seem to do the same thing. sv_disallowsuicide, however, comes from ZDoom and is a dmflags so it should be the one to stay (even though its name is pretty horrible :|)
Attached Files

- Relationships
child of 0002484needs testingDusk Server setup menu 

-  Notes
User avatar (0013611)
Torr Samaho (administrator)
2015-10-05 17:11

I added sv_nokill to ST about a year before ZDoom introduced sv_disallowsuicide, that's where the redundancy comes from. Feel free to unify this, but it would be nice if we keep sv_nokill as alias to sv_disallowsuicide.
User avatar (0013633)
Dusk (developer)
2015-10-09 08:13

https://bitbucket.org/Torr_Samaho/zandronum/pull-requests/31 [^]

sv_nokill is now another flag CVar that points to the same bit as sv_disallowsuicide, so now it's a dmflag with two CVars. Setting one CVar effectively sets the other.
User avatar (0013638)
Torr Samaho (administrator)
2015-10-10 09:11

Please see my comment on bitbucket.
User avatar (0013645)
cobalt (updater)
2015-10-10 14:06

Issue addressed by commit 077919020ed5: Merged sv_nokill and sv_disallowsuicide into one dmflag with two names (addresses 2478)
Committed by Teemu Piippo [Dusk] on Saturday 10 October 2015 14:16:43

Changes in files:

 docs/zandronum-history.txt | 1 +
 src/p_interaction.cpp | 4 ++++
 src/sv_main.cpp | 7 ++-----
 3 files changed, 7 insertions(+), 5 deletions(-)

User avatar (0013772)
Ru5tK1ng (updater)
2015-11-09 23:57

Tested with r151108-1238 and setting one flag correctly sets the other.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: Combinebobnt
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2015-10-05 15:32 Dusk New Issue
2015-10-05 17:11 Torr Samaho Note Added: 0013611
2015-10-09 08:13 Dusk Note Added: 0013633
2015-10-09 08:13 Dusk Assigned To => Dusk
2015-10-09 08:13 Dusk Status new => needs review
2015-10-09 08:16 Dusk Relationship added child of 0002484
2015-10-10 09:11 Torr Samaho Note Added: 0013638
2015-10-10 09:11 Torr Samaho Status needs review => feedback
2015-10-10 11:17 Dusk Status feedback => needs review
2015-10-10 14:06 cobalt Status needs review => needs testing
2015-10-10 14:06 cobalt Target Version => 3.0
2015-10-10 14:06 cobalt Note Added: 0013645
2015-11-09 23:57 Ru5tK1ng Note Added: 0013772
2015-11-09 23:58 Ru5tK1ng Status needs testing => resolved
2015-11-09 23:58 Ru5tK1ng Resolution open => fixed
2015-11-09 23:58 Ru5tK1ng Fixed in Version => 3.0
2018-09-30 22:16 Blzut3 Status resolved => closed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker